Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class SequencePoster.Border

    java.lang.Object
      org.biojava.bio.gui.sequence.SequencePoster.Border

All Implemented Interfaces:
  Serializable, SwingConstants

Enclosing class:
  SequencePoster

    public class SequencePoster.Border

extends Object
implements Serializable, SwingConstants

See Also:
  Serialized Form

Field Summary
`protected PropertyChangeSupport` | `pcs`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)`
`int` | `getAlignment()`
`double` | `getSize()`
`void` | `removePropertyChangeListener(PropertyChangeListener listener)`
`void` | `setAlignment(int alignment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pcs

    protected final PropertyChangeSupport pcs

Method Detail

### getSize

    public double getSize()

### getAlignment

    public int getAlignment()

### setAlignment

    public void setAlignment(int alignment)
                      throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD